package com.slodon.b2b2c.vo.seller;

import com.slodon.b2b2c.seller.pojo.Vendor;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 封装客服列表VO对象
 */
@Data
public class VendorVO {

    @ApiModelProperty("客服id")
    private Long vendorId;

    @ApiModelProperty("客服名称")
    private String vendorName;

    @ApiModelProperty("是否店铺管理员：0-否，1-是，每个店铺只有一个账号为1")
    private String isStoreAdmin;

    @ApiModelProperty("是否允许登陆,0-禁止，1-允许")
    private Integer isAllowLogin;

    public VendorVO(Vendor vendor) {
        vendorId = vendor.getVendorId();
        vendorName = vendor.getVendorName();
        isStoreAdmin = vendor.getIsStoreAdmin();
        isAllowLogin = vendor.getIsAllowLogin();
    }

}
